TOUCH(1)

BEZEICHNUNG
touch - Zeitstempel von Dateien ändern

ÜBERSICHT
touch [OPTION]... DATEI...

BESCHREIBUNG

Die Zugriffs‐ und Modifikationszeiten jeder DATEI auf die momentane Zeit aktualisieren.

Ein DATEI-Argument, das nicht existiert, wird leer angelegt, außer wenn -c oder -h angegeben werden.

Eine DATEI-Argumentzeichenkette mit »-« wird besonders gehandhabt und veranlasst Touch die Zeiten für die Datei, die mit der Standardausgabe verbunden ist, zu ändern.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a  Nur die Zugriffszeit ändern

-c, --no-create
    Keine Dateien erstellen

-d, --date=ZEICHENKETTE
    ZEICHENKETTE auswerten und statt der aktuellen Zeit verwenden

-f  (ignoriert)

-h, --no-dereference
    Betrifft jeden symbolischen Verweis statt irgendeiner referenzierten Datei (nützlich auf Systemen, die die Zeitstempel für symbolische Verweise ändern können.)

-m  Nur Modifikationszeit ändern

-r, --reference=DATEI
    Die Zeiten dieser Datei anstatt der aktuellen Zeit verwenden

-t ZEITSTEMPEL
    [[CC]YY]MMDDhhmm[.ss] statt aktueller Zeit verwenden

--time=WORT
    Die angegebene Zeit ändern: WORT ist »access«, »atime« oder »use«: entspricht -a; WORT ist »modify« oder »mtime«: entspricht -m

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Beachten Sie, dass -d und -t verschiedene Zeit‐Datum‐Formate akzeptieren.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report touch translation bugs to <http://translationproject.org/team/>

DATUMSZEICHENKETTE
Bei der Anweisung --date=ZEICHENKETTE kann ein menschenlesbares Datum auf Englisch in einem ziemlich freien Format angegeben werden, beispielsweise »Sun, 29 Feb 2004 16:21:42 -0800«, »2004-02-29 16:21:42« oder sogar »next Thursday« (nächster Donnerstag). Eine Datumszeichenkette darf Teile enthalten, die das Kalenderdatum angeben, die Tageszeit, Zeitzone, den Tag der Woche, eine relative Zeit, ein relatives Datum sowie Zahlen. Eine leere Zeichenkette bedeutet den Anfang des aktuellen Tages. Das Format der Datumszeichenkette ist komplexer, als es hier in einfachen Worten beschrieben werden kann. In der Info-Dokumentation ist es vollständig erklärt.

AUTOR
Geschrieben von Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie und Randy Smith.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für touch wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und touch auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'touch invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.